Subject: Re: [PATCH] mark PCI resource with start 0 as unassigned

From: Sergei Shtylyov <[email-masked]>
Date: Wed, 01 Aug 2007 18:22:36 +0400

Segher Boessenkool wrote:

>> setup-pci is for SFF8038i devices. It therefore knows that for  assigned
>> resources they must be I/O. It also assumes that zero is not a  valid I/O
>> port just like zero is not a valid IRQ. Stick a real IDE resource  at 
>> zero and drivers/ide can't cope.

> But 0 _is_ a valid PCI I/O address.  Do we now have to start

    I wasn't in PCI 2.1 (later the corresponding passage have disppeared).

> using "virtual I/O addresses", analogue to the IRQ situation,
> or can these bad assumptions be fixed instead?

> Segher

WBR, Sergei